<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
      xmlns:xs="http://www.w3.org/2001/XMLSchema"
      xmlns:n="dgfip:collectivite.spl"
      xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
      exclude-result-prefixes="xs xem"
      xmlns:xem="fr.gouv.finances.dgfip.xemelios.refCollecSpl.importer.ArchiveRequester"
      version="2.0">
    
    
    <xsl:template match="/n:Referentiel">
        <xsl:element name="Referentiel" namespace="dgfip:collectivite.spl">
            <xsl:copy-of select="added:Coll"/>
            <xsl:copy-of select="added:Budg"/>
            <xsl:copy-of select="n:Exercice"/>
            <xsl:element name="CollectivitesSPL" namespace="dgfip:collectivite.spl">
                <xsl:element name="Collectivite" namespace="dgfip:collectivite.spl">
                    <xsl:for-each select="n:CollectivitesSPL/n:Collectivite/@*">
                        <xsl:if test="not(name(.) eq 'archive')">
                            <xsl:copy-of select="."/>
                        </xsl:if>
                    </xsl:for-each>
                    <xsl:attribute name="archive" select="xem:getPresenceArchive(n:Exercice/text(),n:CollectivitesSPL/n:Collectivite/@idColl)"/>
                </xsl:element>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    
</xsl:stylesheet>
